Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.build
Class TaskServiceGenAntTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              com.bea.wli.worklist.build.TaskServiceGenAntTask

    public class TaskServiceGenAntTask

extends org.apache.tools.ant.Task

Author:
  Copyright (c) 2003 by BEA Systems. All Rights Reserved.

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`TaskServiceGenAntTask()`

Method Summary
`void` | `execute()`
`String` | `getWsdlFilePrefix()`
`void` | `setContextPath(String context)`
`void` | `setDestDir(File destDir)`
`void` | `setGenClient(boolean genClient)`
`void` | `setGenJwsApi(boolean genApi)`
`void` | `setGenJwsImpl(boolean genImpl)`
`void` | `setGenWsdl(boolean genWsdl)`
`void` | `setPattern(String pattern)`
`void` | `setServicePortAddress(String servicePortAddress)`
`void` | `setTaskPlanAppDir(File taskPlanAppDir)`
`void` | `setTaskPlanAppName(String taskPlanAppName)`
`void` | `setTaskPlanFile(File f)`
`void` | `setVerbose(boolean isVerbose)`
`void` | `setWsdl(File wsdl)`
`void` | `setWsdlFilePrefix(String wsdlFilePrefix)`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaskServiceGenAntTask

    public TaskServiceGenAntTask()

Method Detail

### setTaskPlanAppDir

    public void setTaskPlanAppDir(File taskPlanAppDir)

### setTaskPlanFile

    public void setTaskPlanFile(File f)

### setDestDir

    public void setDestDir(File destDir)

### setWsdl

    public void setWsdl(File wsdl)

### setPattern

    public void setPattern(String pattern)

### setContextPath

    public void setContextPath(String context)

### setTaskPlanAppName

    public void setTaskPlanAppName(String taskPlanAppName)

### setGenWsdl

    public void setGenWsdl(boolean genWsdl)

### setGenJwsApi

    public void setGenJwsApi(boolean genApi)

### setGenJwsImpl

    public void setGenJwsImpl(boolean genImpl)

### setGenClient

    public void setGenClient(boolean genClient)

### setVerbose

    public void setVerbose(boolean isVerbose)

### setServicePortAddress

    public void setServicePortAddress(String servicePortAddress)

### getWsdlFilePrefix

    public String getWsdlFilePrefix()

### setWsdlFilePrefix

    public void setWsdlFilePrefix(String wsdlFilePrefix)

### execute

    public void execute()

  Overrides:
    `execute` in class `org.apache.tools.ant.Task`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD